Ogre::ParticleIterator Class Reference
Effects

Convenience class to make it easy to step through all particles in a ParticleSystem. More...

`#include <OgreParticleIterator.h>`

List of all members.

## Public Member Functions

bool | end (void)
Particle * | getNext (void)
| Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Protected Member Functions

| ParticleIterator (list< Particle * >::type::iterator start, list< Particle * >::type::iterator end)
| Protected constructor, only available from ParticleSystem::getIterator.

## Protected Attributes

list< Particle * >::type::iterator | mPos
list< Particle * >::type::iterator | mStart
list< Particle * >::type::iterator | mEnd

## Friends

class | ParticleSystem

## Detailed Description

Convenience class to make it easy to step through all particles in a ParticleSystem.

Definition at line 44 of file OgreParticleIterator.h.

## Constructor & Destructor Documentation

Ogre::ParticleIterator::ParticleIterator | ( | list< Particle * >::type::iterator | start,
|  | list< Particle * >::type::iterator | end
| ) |  | `[protected]`

Protected constructor, only available from ParticleSystem::getIterator.

## Member Function Documentation

bool Ogre::ParticleIterator::end | ( | void |  | ) |

Particle* Ogre::ParticleIterator::getNext | ( | void |  | ) |

Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Friends And Related Function Documentation

friend class ParticleSystem`[friend]`

Definition at line 46 of file OgreParticleIterator.h.

## Member Data Documentation

list<Particle*>::type::iterator Ogre::ParticleIterator::mEnd`[protected]`

Definition at line 50 of file OgreParticleIterator.h.

list<Particle*>::type::iterator Ogre::ParticleIterator::mPos`[protected]`

Definition at line 48 of file OgreParticleIterator.h.

list<Particle*>::type::iterator Ogre::ParticleIterator::mStart`[protected]`

Definition at line 49 of file OgreParticleIterator.h.

The documentation for this class was generated from the following file:

- OgreParticleIterator.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:33